Name:		drobo-utils
Version:	0.6.2.2
Release:	14%{?dist}
Summary:	Utilities for managing Drobo storage systems
Group:		Applications/System
License:	GPLv3
URL:		http://drobo-utils.sourceforge.net/
Source0:	http://downloads.sourceforge.net/drobo-utils/%{name}-%{version}.tgz
Source1:	drobo-utils.desktop
Source2:	droboview.console
Source3:	droboview.pam
BuildArch:	noarch
BuildRequires:	python-devel, desktop-file-utils, python-setuptools
Requires:	parted, python-ctypes

%description	
Drobo-utils is a set of Linux tools to query and manage Data Robotics Drobo
storage systems (Drobos).  This base package provides the command line
utility.

%package gui
Summary:	GUI utilities for managing Drobo storage systems
Group:		Applications/System
Requires:	PyQt4, drobo-utils, usermode

%description gui
Drobo-utils is a set of Linux tools to query and manage Data Robotics Drobo
storage systems (Drobos).  This package provides a graphical utility.

%prep
%setup -q

# Install the pam config so that droboview can request root privileges
install -p -m 644 %{SOURCE3} .

%build
%{__python} -c 'import setuptools; execfile("setup.py")' build
sed -i -e "s/\#\!\/.*//g" DroboGUI.py

%install
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root %{buildroot}

#Make sure DroboGUI.py is executable
chmod a+x %{buildroot}%{python_sitelib}/DroboGUI.py

#Install the menu entry
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

#Install man files
install -d -m755 %{buildroot}%{_mandir}/man8/
install -m 644 drobom.8 %{buildroot}%{_mandir}/man8/
install -m 644 droboview.8 %{buildroot}%{_mandir}/man8/

#Setup consolehelper so droboview can request root privileges
ln -sf consolehelper %{buildroot}%{_bindir}/droboview-root
mkdir -p %{buildroot}/etc/security/console.apps
mkdir -p %{buildroot}/etc/pam.d
install -p -m 644 %{SOURCE2} %{buildroot}/etc/security/console.apps/droboview-root
install -p -m 644 droboview.pam %{buildroot}/etc/pam.d/droboview-root

%post gui
update-desktop-database &> /dev/null || :

%postun gui
update-desktop-database &> /dev/null || :

%files
%defattr(-,root,root,-)
%doc CHANGES.txt CHANGES.html COPYING DEVELOPERS.txt DEVELOPERS.html DroboFirmwareWishes.txt QA.txt README.txt README.html drobom.html index.txt index.html
%doc %{_datadir}/%{name}-doc/*.html
%{_bindir}/drobom
%{python_sitelib}/Drobo*
%{_mandir}/man8/drobom.8*

%files gui
%defattr(-,root,root,-)
%doc droboview.html
%config %{_sysconfdir}/security/console.apps/droboview-root
%config %{_sysconfdir}/pam.d/droboview-root
%{_bindir}/droboview
%{_bindir}/droboview-root
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/Drobo*
%{_mandir}/man8/droboview.8*

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 3 2011 Jameson Pugh (imntreal@gmail.com) - 0.6.2.2-9
-Changed license tag

* Mon Dec 13 2010 Jameson Pugh (imntreal@gmail.com) - 0.6.2.2-8
-Removed setting of CFLAGS since there is nothing to compile

* Mon Dec 13 2010 Jameson Pugh (imntreal@gmail.com) - 0.6.2.2-7
-Removed old pam stack lines

* Fri Nov 26 2010 Jameson Pugh (imntreal@gmail.com) - 0.6.2.2-6
-Removed Python setup for Fedora versions before 12
-Removed BuildRoot
-Removed Test of pam stack
-Changed RPM_BUILD_ROOT to buildroot for consistency
-Changed update-desktop-database lines to match guidelines
-Removed cleaning of buildroot

* Sun May 16 2010 Jameson Pugh (imntreal@gmail.com) - 0.6.2.2-5
-Fixed Python sitelib definition
-BuildRequires: python-setuptools

* Sun May 08 2010 Jameson Pugh (imntreal@gmail.com) - 0.6.2.2-4
-Incorporated several ideas from Ismael's package (e.g. split out gui package)

* Mon Mar 29 2010 Jameson Pugh (imntreal@gmail.com) - 0.6.2.2-3
-Setup for droboview to run as root

* Sun Feb 14 2010 Jameson Pugh (imntreal@gmail.com) - 0.6.2.2-2
-Put man pages in the right place

* Sun Feb 14 2010 Jameson Pugh (imntreal@gmail.com) - 0.6.2.2-1
-New release

* Sun Jan 10 2010 Jameson Pugh (imntreal@gmail.com) - 0.6.2.1-1
-New release

* Fri Oct 16 2009 Jameson Pugh (imntreal@gmail.com) - 0.6.1-1
-New release

* Sat Jul 04 2009 Jameson Pugh (imntreal@gmail.com) - 0.6.0-2
-Added man files

* Sat Jul 04 2009 Jameson Pugh (imntreal@gmail.com) - 0.6.0-1
-New release

* Thu Jan 29 2009 Jameson Pugh <imntreal@gmail.com> - 0.4.0r195-1
- Initial public release of the package
